Bug 877614 (CVE-2012-5842)

Summary: CVE-2012-5842 Mozilla: Miscellaneous memory safety hazards (rv:10.0.11) (MFSA 2012-91)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, jhorak, security-response-team, stransky
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=critical,public=20121120,reported=20121117,source=mozilla,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-5/firefox=affected,rhel-6/firefox=affected,rhel-5/thunderbird=affected,rhel-6/thunderbird=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-16 12:55:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 873088    

Description Huzaifa S. Sidhpurwala 2012-11-17 06:10:38 EST
Mozilla developers identified and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code.

In general these flaws cannot be exploited through email in the Thunderbird and SeaMonkey products because scripting is disabled, but are potentially a risk in browser or browser-like contexts in those products.

Jesse Ruderman, Andrew McCreight, Bob Clary, and Kyle Huey reported memory safety problems and crashes that affect Firefox ESR 10 and Firefox 16.


External Reference:

http://www.mozilla.org/security/announce/2012/mfsa2012-91.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Jesse Ruderman, Andrew McCreight, Bob Clary, and Kyle Huey as the original reporter.
Comment 1 errata-xmlrpc 2012-11-20 16:51:33 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2012:1483 https://rhn.redhat.com/errata/RHSA-2012-1483.html
Comment 2 errata-xmlrpc 2012-11-20 17:12:11 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1482 https://rhn.redhat.com/errata/RHSA-2012-1482.html